XMLSignature.SignatureValue (Java Platform SE 8 )
Keywords: javax.xml.crypto.dsig.XMLSignature.SignatureValue interface
Date: 2026-04-17

compact3
javax.xml.crypto.dsig

## Interface XMLSignature.SignatureValue

- All Superinterfaces:
    XMLStructure
  Enclosing interface:
    XMLSignature

      public static interface XMLSignature.SignatureValue
      extends XMLStructure

  A representation of the XML `SignatureValue` element as defined in the W3C Recommendation for XML-Signature Syntax and Processing. The XML Schema Definition is defined as:

         <element name="SignatureValue" type="ds:SignatureValueType"/>
           <complexType name="SignatureValueType">
             <simpleContent>
               <extension base="base64Binary">
                 <attribute name="Id" type="ID" use="optional"/>
               </extension>
             </simpleContent>
           </complexType>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()` Returns the optional `Id` attribute of this `SignatureValue`, which permits this element to be referenced from elsewhere.
    `byte[]` | `getValue()` Returns the signature value of this `SignatureValue`.
    `boolean` | `validate(XMLValidateContext validateContext)` Validates the signature value.

    - ### Methods inherited from interface javax.xml.crypto.XMLStructure

      `isFeatureSupported`

- - ### Method Detail

    - #### getId

          String getId()

      Returns the optional `Id` attribute of this `SignatureValue`, which permits this element to be referenced from elsewhere.
      Returns:
        the `Id` attribute (may be `null` if not specified)

    - #### getValue

          byte[] getValue()

      Returns the signature value of this `SignatureValue`.
      Returns:
        the signature value (may be `null` if the `XMLSignature` has not been signed yet). Each invocation of this method returns a new clone of the array to prevent subsequent modification.

    - #### validate

          boolean validate(XMLValidateContext validateContext)
                    throws XMLSignatureException

      Validates the signature value. This method performs a cryptographic validation of the signature calculated over the `SignedInfo` of the `XMLSignature`.

      This method only validates the signature the first time it is invoked. On subsequent invocations, it returns a cached result.

      Parameters:
        `validateContext` - the validating context
      Returns:
        `true` if the signature was validated successfully; `false` otherwise
      Throws:
        `NullPointerException` - if `validateContext` is `null`
        `XMLSignatureException` - if an unexpected exception occurs while validating the signature

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.